<template>
    <BasicModal v-bind="$attrs" @register="registerModal" :title="title" @ok="handleSubmit" width="50%">
        <BasicForm @register="registerForm">
        </BasicForm>
    </BasicModal>
</template>

<script lang="ts" setup>
import { ref, unref } from 'vue';
import { BasicModal, useModalInner } from '/@/components/Modal';
import { BasicForm, useForm } from '/@/components/Form/index';
import { AdviceFormSchema } from './viewData';
import { xiadayijian } from '/@/api/common/api';
// Emits声明

const emit = defineEmits(['register']);

const isUpdate = ref(true);
//表单配置
const [registerForm, { resetFields, setFieldsValue, validate }] = useForm({
    labelWidth: 220,
    schemas: AdviceFormSchema,
    showActionButtonGroup: false,
});
//表单赋值
const [registerModal, { setModalProps, closeModal }] = useModalInner(async (data) => {
    //重置表单
    await resetFields();
    setModalProps({ confirmLoading: false, showCancelBtn: data?.showFooter, showOkBtn: data?.showFooter });
    isUpdate.value = !!data?.isUpdate;
    if (unref(isUpdate)) {
        //表单赋值
        await setFieldsValue({
            ...data.record,
        });
    }
});
//设置标题
const title = ref('下达指导意见')
//表单提交事件
async function handleSubmit() {
    try {
        let values = await validate();
        setModalProps({ confirmLoading: true });
        //提交表单
        await xiadayijian(values);
        //关闭弹窗
        closeModal();

    } finally {
        setModalProps({ confirmLoading: false });
    }
}

</script>

<style lang="less" scoped></style>